FSADM(8)

NAME
fsadm - utility to resize or check filesystem on a device

SYNOPSIS
fsadm [options] check device

fsadm [options] resize device [new_size[BKMGTEP]]

DESCRIPTION
fsadm utility resizes or checks the filesystem on a device. It tries to use the same API for ext2/ext3/ext4, ReiserFS and XFS filesystem.

OPTIONS

-h --help
    — print help message

-v --verbose
    — be more verbose

-e --ext-offline
    — unmount ext2/ext3/ext4 filesystem before doing resize

-f --force
    — bypass some sanity checks

-n --dry-run
    — print commands without running them

-y --yes
    — answer "yes" at any prompts

new_size
    — Absolute number of filesystem blocks to be in the filesystem, or an absolute size using a suffix (in powers of 1024). If new_size is not supplied, the whole device is used.

EXAMPLES
"fsadm -e -y resize /dev/vg/test 1000M" tries to resize the filesystem on logical volume /dev/vg/test. If /dev/vg/test contains ext2/ext3/ext4 filesystem it will be unmounted prior the resize. All [y|n] questions will be answered 'y'.

ENVIRONMENT VARIABLES

TMPDIR
    Where the temporary directory should be created.

SEE ALSO
lvm(8),
    lvresize(8), lvm.conf(5), tune2fs(8), resize2fs(8), reiserfstune(8), resize_reiserfs(8), xfs_info(8), xfs_growfs(8), xfs_check(8)